//******************************************************************************
//                    ROTARY ENCODER LIBRARY H FILE                            *
//                    **********************************                       *
//                                                                             *
//                    This library is used to process:                         *
//                    - inputs from an encoder NOT using interupts.            *
//                                                                             *
//******************************************************************************
//                                                                             *
//   Filename:      ROTARY_ENCODER_VOLT_FUNCTIONS.H                            *
//   Date:          02/11/2014                                                 *
//   File Version:  Ver 1.0                                                    *
//                                                                             *
//   Author:        Simon O'Farrell                                            *
//                                                                             *
//   Acknowledgements:                                                         *
//   *****************                                                         *
//   Really I used the PIC application notes and then wrote this.              *
//                                                                             *
//******************************************************************************
//                                                                             *
//   Files required:                                                           *
//                   <xc.h>                                                    *
//                   <stdint.h>                                                *
//                   <stdio.h>                                                 *
//                                                                             *
//******************************************************************************
//                                                                             *
//                                ROTARY ENCODER                               *
//                                **************                               *
//                                    ** **                                    *
//                                 **       **------| ---- (RB) PIN LEFT       *
//    SW (RB0/RB1) ------ |------ **    *    **     |                          *
//                        |       **   ***   **     | ---- PIN NEUTRAL         *
//     SW NEUTRAL  ------ |------ **    *    **     |                          *
//                                 **       **------| ---- (RB3) PIN RIGHT     *
//                                    ** **                                    *
//       Note: RB2/RB3 are tied high internally.                               *
//                                                                             *
//                                                                             *
//******************************************************************************

#ifndef ROTARY_ENCODER_FUNCTIONS_H
#define	ROTARY_ENCODER_FUNCTIONS_H

#include <xc.h>
#include <stdint.h>
#include <stdio.h>


#ifndef __bool_true_and_false_are_defined
#define __bool_true_and_false_are_defined

typedef unsigned char bool;

#define true 1
#define false 0
#endif


// --> P O R T  A S S I G N E M E N T   M A C R O S <--

#define DOWN                  0
#define UP                    1

// --> Function Prototypes <--

// --> R O T A R Y   E N C O D E R   I N I T I A L I S A T I O N  <--
void rotaryEncoderInitialisation();


// --> T E S T  I F   S W I T C H   I S   A C T U A L L Y   D O W N <--
bool voltSwitchIsDown();


// --> T E S T  I F  S W I T C H   I S   N O W   U P <--
void voltSwitchIsUp();

#endif	// --> R O T A R Y _ E N C O D E R _ H E A D E R _ H <--



